View Issue Details

IDProjectCategoryView StatusLast Update
0005350Multi Theft Auto : San AndreasScriptingpublic2015-08-07 12:39
ReporterPhatLooserAssigned ToJusonex 
PrioritylowSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version1.0.3 
Target Version1.3.2Fixed in Version1.3.2 
Summary0005350: [Request] Editable Ped Oxygen Level
Description

Please add the functions "setPedOxygenLevel" and "getPedOxygenLevel" for drowning (swimming) peds, if possible.

TagsNo tags attached.

Relationships

has duplicate 0005860 closed New issues new function breath 
child of 0003344 closed New Feature Requests Requested features tracker 

Activities

XX3

2010-05-28 13:11

viewer   ~~0011499

Kinda useful! Good to give messages if you almost get drown or for infinite oxygen level. I agree.

DEFCON1

2010-06-14 12:03

viewer   ~~0011597

address is 0x00B7CDE0 (it's probably a better place to post than on the forum)

Max value is 1000.0 by default, but is affected by UNDERWATER_STAMINA (stat 225): max_value = 1000 + (UNDERWATER_STAMINA * 1.5)

Setting a higher value, such as 1750, increase the bar length (not visible) but the decrease speed isn't slowed down.

However, if you set UNDERWATER_STAMINA to 500, it will result as a max value of 1750 too, but this time it doesn't increase the bar lenght but the decrease speed is slowed down.

Bernovici

2011-12-07 18:19

viewer   ~~0015339

bump !

Jusonex

2012-10-13 22:12

administrator   ~~0017743

I think this could be marked as fixed.

CWanted

2012-10-13 22:19

updater   ~~0017744

http://wiki.multitheftauto.com/wiki/GetPedOxygenLevel
http://wiki.multitheftauto.com/wiki/SetPedOxygenLevel

qaisjp

2015-08-07 03:00

administrator   ~~0023859

fixed in https://github.com/multitheftauto/mtasa-blue/commit/160e3cdb66040fcfb0628cf5997a904da1f10d76

Issue History

Date Modified Username Field Change